libs			:=	../libarch/libarch.a \
				../libfsutils/libfsutils.a \
				../libawk/libawk.a \
				../libdate/libdate.a \
				$(objroot)/hackerlab/libhackerlab/libhackerlab.a \
				../../libneon/src/libneon.la \
				-lm 

mains			:=	tla.c

include $(makefiles)/library.mk

programs	:=	$(patsubst %.c, %$(cfg__exec_suffix), $(mains))
progdepfiles	:=	$(patsubst %.c, %.d, $(mains))

all: $(programs) Programs

ifndef no-Programs-rule
Programs: $(programs)
	echo $(programs) | sed -f $(makefiles)/column.sed > Programs
endif

$(programs):%$(cfg__exec_suffix):%.o $(thelib) $(filter-out -L%, $(filter-out -l%, $(libs)))
	$(SHELL) $(objroot)/libneon/libtool --mode=link $(CC) $(CFLAGS) -L../../expat -o $@ $< $(thelib) $(libs)

clean: clean-prog

clean-prog:
	for f in $(programs) $(progdepfiles) $(patsubst %.c, %.o, $(mains)) Programs ; do \
	  test ! -e $$f || rm $$f ; \
	done

include $(makefiles)/install-programs.mk


# tag: Tom Lord Mon May 12 11:12:24 2003 (utils-arch/Makefile.in)
#
